# Random Card Generator
Adds 900 common and 100 rare cards to act 1. All cards are randomly generated and are different for each user.

# How it works
Card creation basically works like this:
 1. Select a random cost type. Default cost type is blood but there's a 1 in 4 chance to make it a bone cost card.
 2. Select a random cost of the selected cost type. For bones it's a random number between 2 and 8 and for bones it's a random number between 1 and 2 with a 1 in 4 chance to make it a random number between 1 and 3 instead.
 3. Select minimum attack. Default is 1 with a 1 in 4 chance to make it 0.
 4. Calculate stat points. For bones: `cost + (if rare: 3, else: 1) - 1 - minAttack * 2`. For blood: `cost * 3 + cost - randomNumberBetween0And1 + Max(cost - (randomNumberBetween0And1 + 1), 0) + (if rare: 3, else: 1) - 1 - minAttack * 2`
 5. Select abilities. There's an initial 25% chance to not do that, the chance to stop selecting abilities increases by 25% each iteration of ability selection.
 6. Select attack and health.

# Installation
To use Random Card Generator, put both `RandomCardGenerator.dll` inside of your BepInEx plugins folder. It also probably works for Thunderstore Mod Manager or r2modman but I don't know for sure (I don't use them)

# Changelog
1.1.0:
 * Added tribe support
 * Added special stat icon support
 * Increased the chance for 3 blood cards to appear
 * Decreased the power of blood cards
1.0.0 - release